## org.eclipse.jst.pagedesigner.editors.properties
Interface IPropertyPageDescriptor

All Superinterfaces:
  IMetaDataEnabledFeature

    public interface IPropertyPageDescriptor

extends IMetaDataEnabledFeature

Property descriptor for metadata enabled tag attributes in the WPE property pages.

Provisional API - subject to change

Not intended to be implemented by clients.

Field Summary
`static java.lang.String` `PROP_DESC_CATEGORY` Trait id for category name value
`static java.lang.String` `QUICK_EDIT_TAB` Trait id for defining quick edit tab sections.

Method Summary
`java.lang.String` `getAttributeName()`
`java.lang.String` `getCategory()`
`CellEditor` `getCellEditor(Composite parent)`
`java.lang.String` `getDescription()`
`org.eclipse.jst.jsf.common.ui.internal.dialogfield.DialogField` `getDialogFieldEditor()`
`java.lang.String` `getLabel()`
`java.lang.String` `getTagName()`
`java.lang.String` `getUri()`
`java.lang.String` `getValueType()`
`boolean` `isRequired()`

Methods inherited from interface org.eclipse.jst.jsf.metadataprocessors.IMetaDataEnabledFeature
`getMetaDataContext, getStructuredDocumentContext, setMetaDataContext, setStructuredDocumentContext`

Field Detail

### QUICK_EDIT_TAB

    static final java.lang.String QUICK_EDIT_TAB

  Trait id for defining quick edit tab sections. Value must be of type qe:QuickEditTabSections eg.

  See Also:
    Constant Field Values

### PROP_DESC_CATEGORY

    static final java.lang.String PROP_DESC_CATEGORY

  Trait id for category name value

  See Also:
    Constant Field Values

Method Detail

### getAttributeName

    java.lang.String getAttributeName()

  Returns:
    name of attribute. Must not be null.

### getCategory

    java.lang.String getCategory()

  Returns:
    category name. Must not be null.

### getLabel

    java.lang.String getLabel()

  Returns:
    label to use. Must not be null.

### getDescription

    java.lang.String getDescription()

  Returns:
    description. May return null.

### isRequired

    boolean isRequired()

  Returns:
    whether this is a required property. Default false.

### getCellEditor

    CellEditor getCellEditor(Composite parent)

  Parameters:
    `parent` -
  Returns:
    cell editor to use. May be null.

### getDialogFieldEditor

    org.eclipse.jst.jsf.common.ui.internal.dialogfield.DialogField getDialogFieldEditor()

  Returns:
    dialog field editor to use. May be null.

### getUri

    java.lang.String getUri()

  Returns:
    uri. Must not be null.

### getTagName

    java.lang.String getTagName()

  Returns:
    tag name. Must not be null.

### getValueType

    java.lang.String getValueType()

  Returns:
    fully qualified attribute-value-runtime-type as String